Bug 214686 - NullPointerException at org.netbeans.modules.java.source.PostFlowAnalysis.visitMethodDef
NullPointerException at org.netbeans.modules.java.source.PostFlowAnalysis.vis...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Compiler
7.2
All All
: P3 (vote)
: 7.3
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 07:26 UTC by akobberup
Modified: 2012-08-01 02:34 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.46 KB, text/plain)
2012-06-25 07:26 UTC, akobberup
Details

Note You need to log in before you can comment on or make changes to this bug.
Description akobberup 2012-06-25 07:26:38 UTC
Build: NetBeans IDE Dev (Build 201206220002)
VM: Java HotSpot(TM) 64-Bit Server VM, 21.1-b02, Java(TM) SE Runtime Environment, 1.7.0_01-b08
OS: Windows 7

Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.java.source.PostFlowAnalysis.visitMethodDef(PostFlowAnalysis.java:167)
   at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:674)
   at com.sun.tools.javac.tree.TreeScanner.scan(TreeScanner.java:49)
   at org.netbeans.modules.java.source.PostFlowAnalysis.scan(PostFlowAnalysis.java:128)
   at com.sun.tools.javac.tree.TreeScanner.scan(TreeScanner.java:57)
   at com.sun.tools.javac.tree.TreeScanner.visitClassDef(TreeScanner.java:80)
Comment 1 akobberup 2012-06-25 07:26:43 UTC
Created attachment 121275 [details]
stacktrace
Comment 2 Dusan Balek 2012-07-31 09:57:25 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/d8550fe8509e
Comment 3 Quality Engineering 2012-08-01 02:34:48 UTC
Integrated into 'main-golden', will be available in build *201208010001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d8550fe8509e
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #214686: NullPointerException at org.netbeans.modules.java.source.PostFlowAnalysis.visitMethodDef - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo